Public API
List KYI-verified assets
Returns a paginated list of all assets KYI-verified by Bluprynt.
GET
/
assets
List KYI-verified assets
curl --request GET \
--url https://integrations.bluprynt.com/assets \
--header 'Authorization: <api-key>'import requests
url = "https://integrations.bluprynt.com/assets"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://integrations.bluprynt.com/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"token_details": {
"chain": "solana",
"address": "11111111111111111111111111111112",
"asset_did": "01HN123ABC456DEF789GHI",
"token_name": "USD Coin",
"token_ticker": "USDC",
"authorities": [
{
"authority_type": "mint_authority",
"address": "11111111111111111111111111111112",
"verified": true,
"account_type": "regular",
"multisig_signers": [
"<string>"
],
"asset_authority_id": "01KPVH0RCJM6D0VY75FHGDX7CH"
}
],
"token_image": "https://example.com/logo.png",
"copyright_confirmed": true,
"account_id": "eip155:1:0xabcdef..."
},
"business_details": {
"issuer_did": "01HN123ABC456DEF789GHI",
"business_verified": true,
"business_name": "Circle",
"business_description": "<string>"
},
"website_url": "https://example.com",
"whitepaper_url": "https://example.com/whitepaper.pdf",
"asset_url": "https://verified.bluprynt.com/verified-assets/8DBgFgCAsrDP4f2syfNVVyk9xq2YohwuHQr1t7dKjKCG/solana",
"attestation_address": "0x1234567890123456789012345678901234567890"
}
],
"meta": {
"total": 100,
"page_size": 20,
"page_number": 1
}
}{
"message": "Invalid API key",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "Internal Server Error",
"error": "Internal Server Error",
"statusCode": 500
}Authorizations
Your Bluprynt API key, sent as the raw Authorization header value (no Bearer prefix).
Query Parameters
Number of items per page
Example:
20
Page number (1-based)
Example:
1
⌘I
List KYI-verified assets
